%define oname 		xfce4-mixer
%define iconname  	%{oname}.png
%define version		4.3.90.2
%define release	 	2
%define __libtoolize /bin/true

Summary: 	Volume control for the Xfce
Name: 		xfce-mixer
Version: 	%{version}
Release: 	%mkrel %{release}
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	xfce4-mixer-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= %{version}
BuildRequires:	xfce-panel-devel >= %{version}
BuildRequires:  libxfce4mcs-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	ImageMagick
BuildRequires:  perl-XML-Parser
BuildRequires:  xfce-mcs-manager-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Xfce-mixer is the volume control for Xfce. It includes
a sound mixer.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert settings/%{oname}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert settings/%{oname}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert settings/%{oname}.png  -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

 cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{oname}" \
	icon="%{iconname}" \
	title="Xfce-mixer" \
	longtitle="Volume control for Xfce." \
	needs="x11" \
	section="Multimedia/Sound" xdg="true"
EOF

desktop-file-install --vendor="" \
--remove-category="X-FACE" \
--add-category="Mixer" \
--add-category="Audio" \
--add-category="X-MandrivaLinux-Multimedia-Sound" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# remove unneeded devel files
rm -f %{buildroot}%{_libdir}/xfce4/modules/*.*a \
	%{buildroot}%{_libdir}/xfce4/mcs-plugins/*.*a \
	%{buildroot}%{_libdir}/xfce4/panel-plugins/*.*a



%find_lang %{oname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%{update_icon_cache} 

%postun
%{clean_menus}
%{clean_icon_cache}
 

%files -f %{oname}.lang
%defattr(-,root,root)
%doc README ChangeLog NOTES INSTALL COPYING AUTHORS
%{_bindir}/*
%{_datadir}/applications/xfce*
%{_datadir}/icons/hicolor/48x48/apps/%{iconname}
%{_datadir}/xfce4/panel-plugins/
%{_libdir}/xfce4/panel-plugins/
%{_libdir}/xfce4/mcs-plugins/
%{_libdir}/xfce4/modules/*
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}


%changelog
* Wed Jul 12 2006 Charles A Edwards <eslrahc@mandriva> 4.3.90.2-2mdv2007.0
- fix menu
- use icon_cache marco
- add missing changelog entry
  * Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
    - 4.3.90.2 (Xfce-4.4 beta2)
    - xdg

* Tue Apr 25 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Sun Apr 23 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1
- xdg

* Sun Mar 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-1.svn_r20246.1mdk
- svn r20246
- make release 1.xx.x to fix upgrade

* Tue Feb 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- Fix BuildRequires

* Sun Feb 11 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- don't run libtoolize
- update filelist

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove unneeded devel files

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- buildrequires ImageMagick

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Thu Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1 (4.2 RC 1)
- add menu and icons
- update file list

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Tue Nov 18 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- initial mandrake package

